/*---------------------------------------------------------------------------- 
 * $Id:$
 * Project  : The making of "MIB-tripper".
 *		A MIB-browser implemented using the UT-SNMP package.
 * Filename : tripMisc.h
 * Date     : october 1994
 * Purpose  : This file and its ".c"-file define functions and constants used
 *		by various tripper-files.
 * Author   : Erwin Bonsma
 *----------------------------------------------------------------------------
 */
 
#ifndef TRIPMISC_H
#define TRIPMISC_H

#include <foid.h>
#include <apiSNMP.h>
#include <snmpConst.h>
#include <snmpTypes.h>

#define OIDBUFSIZE		 256
#define STRINGBUFSIZE		 256
#define DESCRIPTIONBUFSIZE	1024

/*----------------------------------------------------------------------------
 * Function   :	tmCopyOcts
 * Arguments  :	AsnOcts		*out		(out)
 *		AsnOcts		*in		(in)
 * Returns    :	
 * Purpose    :	Function copies contents of a "AsnOcts" variable to another 
 *		variable of the same type.
 * Remarks    :	Function allocates no memory for variable "out". 
 *----------------------------------------------------------------------------
 */
void
tmCopyOcts(AsnOcts *out, AsnOcts *in);

#endif /* TRIPMISC_H */
