/*---------------------------------------------------------------------------- 
 * $Id:$
 * Project  : The making of "MIB-tripper". 
 *		A MIB-browser implemented using the UT-SNMP package.
 * Filename : tripper.h
 * Date     : october 1994
 * Purpose  : Headerfile by browser.c
 * Author   : Erwin Bonsma
 *----------------------------------------------------------------------------
 */
 
#ifndef TRIPPER_H
#define TRIPPER_H

#define PROGRAMNAME    "MIB-tripper"
#define PROGRAMVERSION "version 1.01"

#include <tripMisc.h>
#include <mibTree.h>

#define NOIMMEDIATEDOWN -1

typedef enum {
  chNone,
  chGoto,
  chUp,
  chDown,
  chUpdateValue,
  chQuit 
} tripChoice;  


/*----------------------------------------------------------------------------
 * Function   :	tripFriendlyASCIItoOID
 * Arguments  :	FoidT		*foidBase	(in)
 *		char		*oidASCII	(in)
 *		ObjectName	*oid		(out)
 * Returns    :	STATUS, OK on success, FAILED otherwise.
 * Purpose    :	Function converts a OID from "friendly character string" 
 *		format to the encoded "ObjectName" format.
 * Remarks    :
 *----------------------------------------------------------------------------
 */
STATUS
tripFriendlyASCIItoOID(FoidT *foidBase, char *oidASCII, ObjectName *oid);


/*----------------------------------------------------------------------------
 * Function   :	tripGetFriendlySubId
 * Arguments  :	FoidT		*foidBase	(in)
 *              ObjectName	*oid		(in)
 *		char		*s		(out)               
 * Returns    : STATUS, OK on success, FAILED otherwise.
 * Purpose    : Function returns the last subidentifier of the given OID in 
 *		friendlyname format.
 * Remarks    :
 *----------------------------------------------------------------------------
 */
STATUS
tripGetFriendlySubId(FoidT *foidBase, ObjectName *oid, char *s);

#endif /* TRIPPER_H */
